from front_end.models import *
from django.contrib import admin

class FriendAdmin(admin.ModelAdmin):
	list_display = ('first_name', 'last_name', 'display_name')
	list_filter = ['exclude']
	search_fields = ('first_name', 'last_name')

class IterationAdmin(admin.ModelAdmin):
	list_display = ('description', 'start_time', 'end_time', 'current')

class WorkoutAdmin(admin.ModelAdmin):
	list_display = ('friend', 'date', 'workout_type', 'iteration')
	list_filter = ('friend', 'date', 'workout_type', 'iteration')

class Workout_TypeAdmin(admin.ModelAdmin):
	list_display = ('name', 'type', 'point_value', 'description')

admin.site.register(Friend, FriendAdmin)
admin.site.register(Workout, WorkoutAdmin)
admin.site.register(Workout_Type, Workout_TypeAdmin)
admin.site.register(Iteration, IterationAdmin)