# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Friend'
        db.create_table('front_end_friend', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('user_name', self.gf('django.db.models.fields.CharField')(max_length=75)),
            ('display_name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('first_name', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('last_name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('url', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('photo_url', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('exclude', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal('front_end', ['Friend'])

        # Adding model 'Iteration'
        db.create_table('front_end_iteration', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('start_time', self.gf('django.db.models.fields.DateTimeField')()),
            ('end_time', self.gf('django.db.models.fields.DateTimeField')()),
            ('description', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('current', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal('front_end', ['Iteration'])

        # Adding model 'Workout'
        db.create_table('front_end_workout', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('friend', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['front_end.Friend'])),
            ('date', self.gf('django.db.models.fields.DateField')()),
            ('workout_type', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['front_end.Workout_Type'])),
            ('distance', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('duration', self.gf('django.db.models.fields.IntegerField')()),
            ('iteration', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['front_end.Iteration'])),
            ('dailymile_id', self.gf('django.db.models.fields.IntegerField')()),
            ('felt', self.gf('django.db.models.fields.CharField')(max_length=30)),
            ('message', self.gf('django.db.models.fields.TextField')()),
        ))
        db.send_create_signal('front_end', ['Workout'])

        # Adding model 'Workout_Type'
        db.create_table('front_end_workout_type', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=25)),
            ('point_value', self.gf('django.db.models.fields.DecimalField')(max_digits=10, decimal_places=8)),
        ))
        db.send_create_signal('front_end', ['Workout_Type'])

    def backwards(self, orm):
        # Deleting model 'Friend'
        db.delete_table('front_end_friend')

        # Deleting model 'Iteration'
        db.delete_table('front_end_iteration')

        # Deleting model 'Workout'
        db.delete_table('front_end_workout')

        # Deleting model 'Workout_Type'
        db.delete_table('front_end_workout_type')

    models = {
        'front_end.friend': {
            'Meta': {'object_name': 'Friend'},
            'display_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'exclude': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'photo_url': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'url': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'user_name': ('django.db.models.fields.CharField', [], {'max_length': '75'})
        },
        'front_end.iteration': {
            'Meta': {'object_name': 'Iteration'},
            'current': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'end_time': ('django.db.models.fields.DateTimeField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'start_time': ('django.db.models.fields.DateTimeField', [], {})
        },
        'front_end.workout': {
            'Meta': {'object_name': 'Workout'},
            'dailymile_id': ('django.db.models.fields.IntegerField', [], {}),
            'date': ('django.db.models.fields.DateField', [], {}),
            'distance': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'duration': ('django.db.models.fields.IntegerField', [], {}),
            'felt': ('django.db.models.fields.CharField', [], {'max_length': '30'}),
            'friend': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['front_end.Friend']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'iteration': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['front_end.Iteration']"}),
            'message': ('django.db.models.fields.TextField', [], {}),
            'workout_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['front_end.Workout_Type']"})
        },
        'front_end.workout_type': {
            'Meta': {'object_name': 'Workout_Type'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'point_value': ('django.db.models.fields.DecimalField', [], {'max_digits': '10', 'decimal_places': '8'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '25'})
        }
    }

    complete_apps = ['front_end']